CREATE TABLE `backstage_route` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project` varchar(50) DEFAULT '' COMMENT '项目',
  `url` varchar(100) DEFAULT '' COMMENT '路由地址',
  `method` varchar(20) DEFAULT '' COMMENT '请求方法',
  `module` varchar(200) DEFAULT '' COMMENT '模块',
  `consumes` varchar(50) DEFAULT NULL COMMENT '出参类型',
  `produces` varchar(50) DEFAULT NULL COMMENT '请求类型',
  `remark` varchar(200) DEFAULT '' COMMENT '描述',
  `author` varchar(50) DEFAULT '' COMMENT '作者',
  `check_rule` varchar(500) DEFAULT NULL COMMENT '校验规则',
  `is_valid` int(11) DEFAULT NULL COMMENT '是否有效 1 有效 0无效',
  `status` int(11) DEFAULT NULL COMMENT '状态：1  有效  -1  无效',
  `created` datetime DEFAULT NULL COMMENT '创建时间',
  `updated` datetime DEFAULT NULL COMMENT '修改时间',
  `creator` varchar(20) DEFAULT NULL COMMENT '创建者',
  `updator` varchar(20) DEFAULT NULL COMMENT '修改者',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=373 DEFAULT CHARSET=utf8mb4 COMMENT='后台路由管理';




CREATE TABLE `jay_monitor_url`  (
  `id` int NOT NULL COMMENT '主键名称' AUTO_INCREMENT,
  `application_name` varchar(50) NULL COMMENT '应用名称',
  `appllication_ip` varchar(20) NULL COMMENT '应用地址',
  `monitor_type` varchar(10) NULL COMMENT '应用监控类型',
  `data_group_name` varchar(50) NULL COMMENT '应用监控组',
  `data_group_key` varchar(50) NULL COMMENT '应用监控key',
  `data_id` varchar(50) NULL COMMENT '数据编号',
  `status` int(4) NULL COMMENT '状态1：正常消息 -1异常消息',
  `request_time` int(11) NULL COMMENT '请求时长',
  `created_time` datetime NULL COMMENT '时间时间',
  `created_day` date NULL COMMENT '日期',
  PRIMARY KEY (`id`),
  INDEX `idx_pub`(`application_name`, `data_group_name`, `data_group_key`, `data_id`, `created_time`) USING BTREE COMMENT '通用的索引',
  INDEX `idx_created`(`created_time`) USING BTREE COMMENT '创建时间维度',
  INDEX `idx_request`(`application_name`, `request_time`) USING BTREE COMMENT '请求事件维度'
);

CREATE TABLE `jay_monitor_url_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `monitor_id` int(11) NULL COMMENT '监控来源编号',
  `log_id` varchar(50) NULL COMMENT '日志编号',
  `monitor_type` varchar(50) NULL COMMENT '监控类型',
  `log_text` text NULL COMMENT '日志文本',
  `create_date` date NULL COMMENT '创建日期',
  PRIMARY KEY (`id`),
  INDEX `idx_monitor`(`monitor_id`, `monitor_type`) USING BTREE COMMENT '监控关系',
  INDEX `idx_create_date`(`create_date`) USING BTREE COMMENT '创建时间索引，用来清空文本'
);

CREATE USER `jay_monitor`@`%` IDENTIFIED BY 'jayzhou';

GRANT Alter, Create, Execute, Index, Insert, References, Select, Update ON `jay\_monitor`.* TO `jay_monitor`@`%`;


ALTER TABLE `jay_monitor_mq`
ADD COLUMN `source_time` datetime NULL DEFAULT NULL COMMENT '数据来源时间' AFTER `status`;