package com.jay.monitor.data.server.config;

import com.alipay.remoting.rpc.protocol.UserProcessor;
import com.jay.monitor.data.core.enums.MonitorDataConstants;
import com.jay.monitor.data.server.MonitorDataServer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.FilterType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ControllerAdvice;

import java.util.List;

/**
 * Spring定义
 * 普通的Bean的定义
 *
 * @author Liuhx
 * @version V1.0
 * @create 2018/6/14 13:40
 * @email liuhx@elab-plus.com
 **/
@Configuration
@ComponentScan(basePackages = {"com.jay.monitor.data.server"}, excludeFilters = {
        @ComponentScan.Filter(type = FilterType.ANNOTATION, value = {Controller.class, ControllerAdvice.class})
})
public class BeanConfig {

    private Logger logger = LoggerFactory.getLogger(getClass());

    @Bean
    public MonitorDataServer boltServer(List<UserProcessor<?>> userProcessorList) {
        MonitorDataServer monitorDataServer = new MonitorDataServer(MonitorDataConstants.DEFAULT_PORT);
        monitorDataServer.registerUserProcessor(userProcessorList);
        if (monitorDataServer.start()) {
            logger.info(" 监控数据传输器启动完成 : " + monitorDataServer.getPort());
        }
        return monitorDataServer;
    }

}
